Debian Bug report logs - #669368
Please package mlocate 0.25

version graph

Package: src:mlocate; Maintainer for src:mlocate is Tollef Fog Heen <tfheen@debian.org>;

Reported by: svante.signell@telia.com

Date: Thu, 19 Apr 2012 12:39:38 UTC

Severity: wishlist

Merged with 712041

Found in version mlocate/0.23.1

Fixed in version mlocate/0.26-1

Done: Tollef Fog Heen <tfheen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#669368; Package src:mlocate. (Thu, 19 Apr 2012 12:39:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
New Bug report received and forwarded. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Thu, 19 Apr 2012 12:39:44 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Debian bug reporting <submit@bugs.debian.org>
Cc: 610209@bugs.debian.org
Subject: Please package mlocate 0.25
Date: Thu, 19 Apr 2012 14:01:55 +0200
Source: mlocate
Version: 0.23.1
Severity: wishlist

Please package mlocate 0.25, released 2012-03-03.
From the NEWS file:

Changes in version 0.25:
- Handle zero-length file names (a kernel bug) more gracefully.
- Avoid PATH_MAX to hopefully support Hurd better.
- Document that parent directories must exist for permission checking.
- Minor bug fixes.
- Updated translations.

Changes in version 0.24:
- Use /proc/self/mountinfo for bind mount detection; recent
distributions symlink /etc/mtab to /proc/self/mounts, losing information
we need.
- Fix a man page typo.  Patch by John Bradshaw <john@johnbradshaw.org>.
- Updated translations.






Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#669368; Package src:mlocate. (Mon, 09 Jul 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Mon, 09 Jul 2012 08:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 669368@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 669368@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: [patch] Packaging of mlocate-0.25
Date: Mon, 09 Jul 2012 10:23:54 +0200
[Message part 1 (text/plain, inline)]
tags 669368 patch
thanks

Dear mlocate maintainer,

Attached are the source files (*.dsc, *.debian.tar.gz) for the packaging
of mlocate-0.25, which builds out of the box on GNU/Linux (i386),
GNU/Hurd (i386), and probably on all other architectures. The built
version is now installed at debian-ports for GNU/Hurd. It would be nice
to get it into sid/testing/wheezy too.

For space reasons the upstream tarball is not included, it is available at:
https://fedorahosted.org/releases/m/l/mlocate/mlocate-0.25.tar.xz

Since using format 3.0 (quilt) is is sufficient to rename 
mlocate-0.25.tar.xz to mlocate_0.25.orig.tar.xz 

The changelog entry looks like:
mlocate (0.25-0.1) UNRELEASED; urgency=low

  * New upstream release
  * NMU packaging for GNU/Hurd at debian-ports
  * Switch to dpkg-source 3.0 (quilt) format
  * Updated watch file
  * Updated homepage and standards version in the control file
  * Uploader Samuel Thibault

 -- Svante Signell <svante.signell@telia.com>  Thu, 6 Jul 2012 10:02:12
+0200

Running through lintian:
#> lintian mlocate_0.25-0.1.dsc 
W: mlocate source: debhelper-but-no-misc-depends mlocate
W: mlocate source: changelog-should-mention-nmu
W: mlocate source: debian-rules-missing-recommended-target build-arch
W: mlocate source: debian-rules-missing-recommended-target build-indep



[mlocate_0.25-0.1.dsc (text/plain, attachment)]
[mlocate_0.25-0.1.debian.tar.gz (application/x-compressed-tar, attachment)]

Added tag(s) patch. Request was from Svante Signell <svante.signell@telia.com> to control@bugs.debian.org. (Mon, 09 Jul 2012 08:27:07 GMT) Full text and rfc822 format available.

Information stored :
Bug#669368; Package src:mlocate. (Thu, 01 Nov 2012 10:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 669368-quiet@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: debian-devel@lists.debian.org
Subject: Re: [PROPOSAL v2] Orphaning another maintainer's packages
Date: Thu, 01 Nov 2012 10:51:23 +0100
]] Michael Gilbert 

> mlocate: http://bugs.debian.org/669368 (new upstream could have been
> pushed via nmu before the freeze, but it was prepared too late)
> <many others I'm sure>

The suggested NMU that does random changes like changing the packaging
to 3.0 (quilt) and adding an uploader?  Is that even a serious
suggestion?

The new upstream release did not include any particularly compelling
changes for wheezy, which is why I did not update to the newer upstream
version.

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are


-- 
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/87y5iltzvo.fsf@qurzaw.varnish-software.com




Removed tag(s) patch. Request was from Tollef Fog Heen <tfheen@debian.org> to control@bugs.debian.org. (Thu, 01 Nov 2012 19:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#669368; Package src:mlocate. (Fri, 02 Nov 2012 13:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Fri, 02 Nov 2012 13:15:06 GMT) Full text and rfc822 format available.

Message #22 received at 669368@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: debian-devel@lists.debian.org
Cc: 669368@bugs.debian.org
Subject: Re: [PROPOSAL v2] Orphaning another maintainer's packages
Date: Fri, 02 Nov 2012 14:12:55 +0100
On Thu, 2012-11-01 at 10:51 +0100, Tollef Fog Heen wrote:
> ]] Michael Gilbert 
> 
> > mlocate: http://bugs.debian.org/669368 (new upstream could have been
> > pushed via nmu before the freeze, but it was prepared too late)
> > <many others I'm sure>
> 
> The suggested NMU that does random changes like changing the packaging
> to 3.0 (quilt) and adding an uploader?  Is that even a serious
> suggestion?
> 
> The new upstream release did not include any particularly compelling
> changes for wheezy, which is why I did not update to the newer upstream
> version.

For the record, this mail will also be Cc-ed to bug #669368 since the
commented-on mail was also delivered there.

I did not suggest an NMU, see the explanation in:
https://lists.debian.org/debian-devel/2012/11/msg00004.html

Some stuff repeated here, for clarity:
> Well the submitted files was not an NMU, I would need a sponsor for
> that. It was a wish that the maintainer would complete the packaging,
> but that did not happen. The changelog entry was for installation at
> debian-ports. If the maintainer had adopted the changes, the changelog
> would have been written accordingly by him, of course.
> 
> The package is built and installed at debian-ports for GNU/Hurd where
> a sponsor was available. FYI, this package is currently the only
> locate package available on GNU/Hurd, therefore its importance.




Merged 669368 712041 Request was from Tollef Fog Heen <tfheen@debian.org> to control@bugs.debian.org. (Thu, 13 Jun 2013 06:24:10 GMT) Full text and rfc822 format available.

Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Thu, 13 Jun 2013 09:21:27 GMT) Full text and rfc822 format available.

Notification sent to svante.signell@telia.com:
Bug acknowledged by developer. (Thu, 13 Jun 2013 09:21:27 GMT) Full text and rfc822 format available.

Message #29 received at 669368-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 669368-close@bugs.debian.org
Subject: Bug#669368: fixed in mlocate 0.26-1
Date: Thu, 13 Jun 2013 09:19:34 +0000
Source: mlocate
Source-Version: 0.26-1

We believe that the bug you reported is fixed in the latest version of
mlocate, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669368@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated mlocate package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 13 Jun 2013 08:34:09 +0200
Source: mlocate
Binary: mlocate
Architecture: source amd64
Version: 0.26-1
Distribution: unstable
Urgency: low
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 mlocate    - quickly find files on the filesystem based on their name
Closes: 542616 610209 611096 660781 669368
Changes: 
 mlocate (0.26-1) unstable; urgency=low
 .
   * New upstream release.  Closes: #669368
     - Stops using PATH_MAX.  Closes: #610209
   * The filesystem type for Lustre is lustre, not lustre_lite.  Update
     updatedb.conf accordingly.  Closes: #660781
   * Fix up locking in cron.daily.  Closes: #611096
   * rm -rf /var/lib/mlocate on purge, don't just take out single files.
     Closes: #542616
Checksums-Sha1: 
 033f0a303af0fe693f9f6d8f36e72a4a476a7eff 1793 mlocate_0.26-1.dsc
 c3d7d0aebdad84d0ec600145127d1ccedb88f6d2 540462 mlocate_0.26.orig.tar.gz
 d5056b60c866236a4217ecf278d9d2dca2fe37fb 7814 mlocate_0.26-1.diff.gz
 f653c23a61749e2c17c39b727fcd7fbac81d32eb 117158 mlocate_0.26-1_amd64.deb
Checksums-Sha256: 
 09fe2355a95c68da40f9c93ed8c52421dee9cf43e08b071ddfc77586df86b633 1793 mlocate_0.26-1.dsc
 7e6b0504fa5b06e4ba2d6efb91eda5f8a9e0593d1442a8a3f97876c86ac5538b 540462 mlocate_0.26.orig.tar.gz
 1e9fcf91238138fda2bb297bb926374b36926aabadaa92d12067b05d37db9f56 7814 mlocate_0.26-1.diff.gz
 4b2a29af94633347623c5bae686f5ccbf79a65ef2135d98b3beb40ceef194d0c 117158 mlocate_0.26-1_amd64.deb
Files: 
 0a159c69480de27fa2b26f17448533f3 1793 utils standard mlocate_0.26-1.dsc
 eacd018b45447eaa9578a4f824fe2905 540462 utils standard mlocate_0.26.orig.tar.gz
 9dc77ff70675b0a0d8402a9bef9193ed 7814 utils standard mlocate_0.26-1.diff.gz
 1e3a41ac17018a27230061ab4ee3351d 117158 utils standard mlocate_0.26-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRuXkuAAoJELZaSHHKGdcXdioP/0OEhNqCkD0pmpUW/RlmCM/d
71usEHE6bJCU7L62EgxpKd2U03vMmdy8Q1xU99zVKDNoIsyEpw+njL+w6m2pZJVH
kqU0+WzF8fPTj08N2pBo/1dXp+zf9FwChJ4XiOHJNhq8xD2xQ3xd/570xixJijyV
vmO30tSO4Tsme2NxGq7ic69ANlZzWg7HSXgkwhKiY9oV1HBNWNubeaFF8grjO43G
R6acooZCE4Jnzaf1F1907WjkM3IsaDKgLhi/ai1ddfwVl3f3/KVLJBp12ToN0J3T
hQSa21hltxPFAYDRRUROaBiQQCbmLi4FVP96l2NIqwzrwSfG1xkhBYvbNKfGIuto
Fpyb6oA43SeP3TTvFxfq7Twx3YaGra+zYZXriF/f5wNACWUr1laOQmsr1r41+iKx
xZ2ExiLgpg2BAjWYEhupfx77ni7qeF4YXBvObsEVqgEdKZBdos7a/m5qQdsM7rs6
owvB8DX1xxr3EF9fpR2Y5JXFgJ5lI4KsprzyZGDmWzsF3YY3RmO/Cj9oJyNSIex/
bIp7mxZCrd/v8FLJKbYbGrn+OcfJbU/W2ELG/NEt+idEvl8ka6xDFXOz/4CVhOHq
N7Vbh3h60D0OjwuJIDVrN0LSFAi1WSWn+SYZbBaeOhqdU7akjkTbw+Vz/ViR/fDx
/Y2G8g6dThiHrEeOyKwo
=gPJQ
-----END PGP SIGNATURE-----




Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Thu, 13 Jun 2013 09:21:28 GMT) Full text and rfc822 format available.

Notification sent to Svante Signell <svante.signell@gmail.com>:
Bug acknowledged by developer. (Thu, 13 Jun 2013 09:21:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 22 Jul 2013 07:29:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:45:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.